Crypto Treasury Transaction History by Entity ID
curl --request GET \
--url https://api.coingecko.com/api/v3/public_treasury/{entity_id}/transaction_history \
--header 'x-cg-demo-api-key: <api-key>'{
"transactions": [
{
"date": 1779062400000,
"source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/bltc0d0f9d2d325a368/6a0a710811de4f7e170ba045/form-8-k_05-18-2026.pdf",
"coin_id": "bitcoin",
"type": "buy",
"holding_net_change": 24869,
"transaction_value_usd": 2014015965,
"holding_balance": 843738,
"average_entry_value_usd": 80985
},
{
"date": 1778457600000,
"source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt7653ead16575975e/6a01462c750c63f12be32cf8/form-8-k_05-11-2026.pdf",
"coin_id": "bitcoin",
"type": "buy",
"holding_net_change": 535,
"transaction_value_usd": 42981900,
"holding_balance": 818869,
"average_entry_value_usd": 80340
}
]
}Public Treasury
Crypto Treasury Transaction History by Entity ID
To query public companies’ and governments’ cryptocurrency transaction history by entity ID
GET
/
public_treasury
/
{entity_id}
/
transaction_history
Crypto Treasury Transaction History by Entity ID
curl --request GET \
--url https://api.coingecko.com/api/v3/public_treasury/{entity_id}/transaction_history \
--header 'x-cg-demo-api-key: <api-key>'{
"transactions": [
{
"date": 1779062400000,
"source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/bltc0d0f9d2d325a368/6a0a710811de4f7e170ba045/form-8-k_05-18-2026.pdf",
"coin_id": "bitcoin",
"type": "buy",
"holding_net_change": 24869,
"transaction_value_usd": 2014015965,
"holding_balance": 843738,
"average_entry_value_usd": 80985
},
{
"date": 1778457600000,
"source_url": "https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt7653ead16575975e/6a01462c750c63f12be32cf8/form-8-k_05-11-2026.pdf",
"coin_id": "bitcoin",
"type": "buy",
"holding_net_change": 535,
"transaction_value_usd": 42981900,
"holding_balance": 818869,
"average_entry_value_usd": 80340
}
]
}Notes
- Find entity IDs via Entities List. Filter by coin using
coin_ids(comma-separated), with IDs from Coins List. - Data available from August 2020 onwards.
- Equivalent page on CoinGecko Strategy Treasury.
Multi-page access (
page > 1) is exclusive to Analyst plan and above. Subscribe to a paid plan to access.SDK Examples
const response = await client.publicTreasury.getTransactionHistory('strategy');
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Public company or government entity ID.
*refers to /entities/list.
Query Parameters
Total results per page. Default value: 100 Valid values: 1...250
Page through results. Default value: 1
Sort order of transactions.
Default: date_desc
Available options:
date_desc, date_asc, holding_net_change_desc, holding_net_change_asc, transaction_value_usd_desc, transaction_value_usd_asc, average_cost_desc, average_cost_asc Filter transactions by coin IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list.
Response
200 - application/json
Crypto treasury transaction history data
Show child attributes
Show child attributes
Was this page helpful?
⌘I

